Package com.xebialabs.xlrelease.exception

## Class LogFriendlyConcurrentModificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.xebialabs.deployit.engine.spi.exception.DeployitException
        - - com.xebialabs.xlrelease.exception.LogFriendlyConcurrentModificationException

- All Implemented Interfaces:
    `java.io.Serializable`

      @HttpResponseCodeResult(statusCode=409)
      @SuppressStackTrace(suppressStackTrace=true)
      public class LogFriendlyConcurrentModificationException
      extends com.xebialabs.deployit.engine.spi.exception.DeployitException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogFriendlyConcurrentModificationException​(java.lang.String messageTemplate, java.lang.Object... args)` |
    `LogFriendlyConcurrentModificationException​(java.lang.Throwable cause, java.lang.String messageTemplate, java.lang.Object... args)` |

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.deployit.engine.spi.exception.DeployitException

      `add, addAll, getEntity, getErrors, getMessage, hasEntity, hasErrors`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFriendlyConcurrentModificationException

          public LogFriendlyConcurrentModificationException​(java.lang.String messageTemplate,
                                                            java.lang.Object... args)

    - #### LogFriendlyConcurrentModificationException

          public LogFriendlyConcurrentModificationException​(java.lang.Throwable cause,
                                                            java.lang.String messageTemplate,
                                                            java.lang.Object... args)